메인 콘텐츠로 건너뛰기
POST
/
v1
/
public
/
accounts
/
{account_id}
/
auth
/
service-accounts
계정 서비스 계정 생성
curl --request POST \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/auth/service-accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "token": "<string>",
  "token_last4": "<string>",
  "token_prefix": "<string>",
  "token_public_id": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z",
  "last_used_at": "2023-11-07T05:31:56Z",
  "revoked_at": "2023-11-07T05:31:56Z",
  "revoked_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

인증

Authorization
string
header
필수

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

경로 매개변수

account_id
string<uuid>
필수

본문

application/json

서비스 계정을 만들기 위한 요청 본문.

name
string
필수

사람이 읽을 수 있는 서비스 계정 이름

Required string length: 1 - 120
expires_at
string<date-time> | null

선택적 UTC 토큰 만료 타임스탬프

응답

account_id
string<uuid>
필수
created_at
string<date-time>
필수
id
string<uuid>
필수
name
string
필수
token
string
필수

일반 텍스트 bearer 토큰입니다. 지금 저장하세요. 다시 반환되지 않습니다.

token_last4
string
필수
token_prefix
string
필수
token_public_id
string
필수
updated_at
string<date-time>
필수
created_by_user_id
string<uuid> | null
expires_at
string<date-time> | null
last_used_at
string<date-time> | null
revoked_at
string<date-time> | null
revoked_by_user_id
string<uuid> | null